in scala.collection.immutable
class GBTree

[scala.serializable]
`abstract protected class` GBTree [A, B]
  `extends` java.lang.Object
  `with` scala.ScalaObject

  `GBTree` is an internal class used by `Tree`.

Author:
  Erik Stenman
Version:
  1.0, 2005-01-20

Direct Known Subclasses:
  GBLeaf, GBNode

Constructor Summary
| `def` this ()(view$4: scala.Function1[A, scala.Ordered[A]])

Type Summary
| `type` aNode
| `type` anInsertTree

Def Summary
`abstract` | `def` apply (key: A) : B
`abstract` | `def` balance (s: scala.Int) : scala.collection.immutable.GBTree[A, B]
`abstract` | `def` count : scala.Tuple2[scala.Int, scala.Int] Calculates 2^h, and size, where h is the height of the tree and size is the number of nodes in the tree.
`abstract` | `def` delete (key: A) : scala.collection.immutable.GBTree[A, B]
`abstract` | `def` get (key: A) : scala.Option[B]
`abstract` | `def` insert (key: A, value: B, size: scala.Int) : scala.collection.immutable.InsertTree[A, B]
`abstract` | `def` isDefinedAt (Key: A) : scala.Boolean
`abstract` | `def` merge (t: scala.collection.immutable.GBTree[A, B]) : scala.collection.immutable.GBTree[A, B]
`abstract` | `def` mk_iter (iter_tail: scala.List[scala.collection.immutable.GBTree[A, B]]) : scala.List[scala.collection.immutable.GBTree[A, B]]
`abstract` | `def` takeSmallest : scala.Tuple3[A, B, scala.collection.immutable.GBTree[A, B]]
`abstract` | `def` toList (acc: scala.List[scala.Tuple2[A, B]]) : scala.List[scala.Tuple2[A, B]]
`abstract` | `def` update (key: A, value: B) : scala.collection.immutable.GBTree[A, B]

Constructor Detail

`def` this ()(view$4: scala.Function1[A, scala.Ordered[A]])

Type Detail

`type` aNode

`type` anInsertTree

Def Detail

`abstract def` apply (key: A): B

`abstract def` balance (s: scala.Int): scala.collection.immutable.GBTree[A, B]

`abstract def` count : scala.Tuple2[scala.Int, scala.Int]

  Calculates 2^h, and size, where h is the height of the tree and size is the number of nodes in the tree.

`abstract def` delete (key: A): scala.collection.immutable.GBTree[A, B]

`abstract def` get (key: A): scala.Option[B]

`abstract def` insert (key: A, value: B, size: scala.Int): scala.collection.immutable.InsertTree[A, B]

`abstract def` isDefinedAt (Key: A): scala.Boolean

`abstract def` merge (t: scala.collection.immutable.GBTree[A, B]): scala.collection.immutable.GBTree[A, B]

`abstract def` mk_iter (iter_tail: scala.List[scala.collection.immutable.GBTree[A, B]]): scala.List[scala.collection.immutable.GBTree[A, B]]

`abstract def` takeSmallest : scala.Tuple3[A, B, scala.collection.immutable.GBTree[A, B]]

`abstract def` toList (acc: scala.List[scala.Tuple2[A, B]]): scala.List[scala.Tuple2[A, B]]

`abstract def` update (key: A, value: B): scala.collection.immutable.GBTree[A, B]